Bug 842745 - UI - The detailed info of package group update in system group shows "install" instead of "update".
UI - The detailed info of package group update in system group shows "install...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: 6.0
Assigned To: David Davis
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 09:59 EDT by Hayk Hovsepyan
Modified: 2014-09-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-07-24 09:59:22 EDT
Description of problem:
When updating package group in system group by WebUI, it shows "Install..."  instead of "Update" in detailed results subpanel and it's link.

Version-Release number of selected component (if applicable):
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-0.2.6-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.47-1.git.225.b3aa579.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch
katello-agent-1.0.4-1.git.11.1606589.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.1.11-1.el6.noarch
katello-certs-tools-1.1.6-1.git.572.1606589.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.47-1.git.225.b3aa579.el6.noarch
katello-0.2.47-1.git.225.b3aa579.el6.noarch
katello-configure-0.2.30-1.git.16.0e273d4.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-0.2.43-1.git.16.350a9f2.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.47-1.git.225.b3aa579.el6.noarch
katello-selinux-0.2.6-1.git.9.1606589.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.2.43-1.git.16.350a9f2.el6.noarch

How reproducible:
always

Steps to Reproduce:

Make sure you have created system group and added system to it. Also have package group promoted.

From WebUI, go to System Groups, select just created system group.
Try to install some package on this system group.
After install is finished, update that package in system group.
 
Actual results:
After clicking update you can see that it shows "Installing Package Group" in bottom list of package groups. When you click on that link it shows subpanel, and shows "Install" instead "Update" in detailed info of that subpanel.

When update is finished, you can see that it shows "Package Group Install .." link and when you click that link it shows subpanel, and shows "Install" instead "Update" in detailed info of that subpanel.

Expected results:
Instead on "Install" there should be "Update" in detailed info link and in subpanel.
Comment 1 David Davis 2012-12-18 12:38:10 EST
Opened pull request with fix:

https://github.com/Katello/katello/pull/1295
Comment 2 David Davis 2012-12-19 09:13:56 EST
Katello commits:

0bff55ce75830ce8e930dad96eaba1021f566ce9
124d0eba45a73c13015dc7b10836a501e8db6412
Comment 3 Mike McCune 2013-08-16 13:59:02 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:14:22 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.